Jump to content

Help me to combine my autolisp :(


Oktaradian

Recommended Posts

12 minutes ago, Jonathan Handojo said:

If that really is a DCL dialog, that must be a damn ton... at least worth 700+ lines to get that kind of dialog. I can make it, but I don't have that kind of time, sorry.

 

I guess it's simple autolisp 😆
okay thanks for the help. You are very helpful

🙏

Link to comment
Share on other sites

Pirating some ones hard work just because you don't want to pay is not something that I and others here support. 

 

If you want something then you may have to pay for it,  I know Maratovich's plot routine is very good and cheap but has a price.

 

image.png.e84c3bf5649507c9231376b430988b7a.png

 

I have multiple plot routines and so do others and they are free.

Edited by BIGAL
Link to comment
Share on other sites

7 hours ago, Oktaradian said:

 

I have autolisp in .VLX format, not .LSP
but this autolisp trial version. I tried to look for a similar autolisp, but did not find it on google.
I like this autolisp because it's fast to print images.
You can try to find out how it works, you can download the file here
Can you help me make autolisp similar like that?

 

1.png

2.png

3.png

defund = PL1 (Trial).VLX 20.24 kB · 2 downloads

 

Yes, I'll have to agree with @BIGAL on this one. I missed that sign there, good pickup bigal. 

 

It's clearly copyrighted. And if I know better, that kind of dialog is lots of hard work... Like I said previously, at least 700+ lines, perhaps more. You'll just have to contact the email in the picture posted by bigal and ask him for the codes.

Link to comment
Share on other sites

2 hours ago, BIGAL said:

Pirating some ones hard work just because you don't want to pay is not something that I and others here support. 

 

If you want something then you may have to pay for it,  I know Maratovich's plot routine is very good and cheap but has a price.

 

image.png.e84c3bf5649507c9231376b430988b7a.png

 

I have multiple plot routines and so do others and they are free.

 

Can you share your multiple plot routines? And thanks for your advice. I'm still learning, please guide me

  • Dislike 1
Link to comment
Share on other sites

On 3/9/2020 at 2:51 PM, hosneyalaa said:

HI

 Jonathan Handojo     AND   Oktaradian

 

Allow me to add the height   AT  Specify point for datum  

 

 

 

 

 

(defun c:test ( / datum es hgts txt_color txt_height txt_layer txt_rotation txt_style vtxlist DegToRad lev)
  
  ;;; -------------------- SET TEXT PROPERTIES BELOW -------------------- ;;;

  (setq
    txt_height 10
    txt_style "standard"
    txt_layer "New Layer"
    txt_rotation 90    ; in degrees
    txt_color nil ; or nil to use default color
    )

  ;;; -------------------- SET TEXT PROPERTIES ABOVE -------------------- ;;;

  (defun DegToRad (x) (* (/ pi 180) x))
  (while
    (progn
      (setq es (entsel "\nSelect Polyline >> "))
      (cond
    ((not es) (princ "\nNothing selected"))
    ((wcmatch (cdr (assoc 0 (entget (car es)))) "~*POLYLINE") (princ "\nObject is not a polyline"))
    )
      )
    )
  (setq lev (getdist "\n inter level Specify point for datum  :"))
  (initget 1)
  (setq datum (getpoint "\nSpecify point for datum: "))
(setq    vtxlist (vl-remove-if-not '(lambda (x) (eq (car x) 10)) (entget (car es))))
(setq    hgts (mapcar '(lambda (x) (+ lev (- (caddr x) (cadr datum)))) vtxlist))
    

  (mapcar '(lambda (x y)
         (entmake
           (vl-remove nil
         (list
           '(0 . "TEXT")
           (cons 7 (if (null (tblsearch "STYLE" txt_style)) "standard" txt_style))
           (cons 8 txt_layer)
           (cons 10 (cdr x))
           (cons 1 (rtos y))
           (cons 50 (DegToRad txt_rotation))
           (cons 40 txt_height)
           (if txt_color (cons 62 txt_color))
           )
         )
           )
         )
      vtxlist
      hgts
      )
  (princ)
  )

 

 

 

 

 

 

 

 

 

 

 

 

 

 

Capture33.JPG

maybe someone can explain how to make this routine to measure drawing in scale 1:100 and round it down to 2 decimals after comma.

i would greatly appreciate it.

Link to comment
Share on other sites

11 hours ago, diskoalnis said:

maybe someone can explain how to make this routine to measure drawing in scale 1:100 and round it down to 2 decimals after comma.

i would greatly appreciate it.

 

HI

 Jonathan Handojo     AND  diskoalnis

 

Allow me to add the Vertical Scale factor

TO SECTION OR PROFILE 

I hope the 
Adjustment is good and useful

(defun c:test ( / DATUM ELEV ELEV_RATE ES HGTS RATE TXT_COLOR TXT_HEIGHT TXT_LAYER TXT_ROTATION TXT_STYLE VTXLIST X Y)
  
  ;;; -------------------- SET TEXT PROPERTIES BELOW -------------------- ;;;
  
  (setq
    txt_height 10
    txt_style "standard"
    txt_layer "New Layer" ; or nil to use current layer
    txt_rotation 0    ; in degrees
    txt_color acWhite ; or nil to use default color
    )
  
  ;;; -------------------- SET TEXT PROPERTIES ABOVE -------------------- ;;;
  
  (defun DegToRad (x) (* (/ pi 180) x))
  (while
    (progn
      (setq es (entsel "\nSelect Polyline >> "))
      (cond
    ((not es) (princ "\nNothing selected"))
    ((wcmatch (cdr (assoc 0 (entget (car es)))) "~*POLYLINE") (princ "\nObject is not a polyline"))
    )
      )
    )

  
  (setq datum (progn (initget 1) (getpoint "\nSpecify point for datum: "))
        RATE (progn (initget (+ 1 2 4)) (getreal "\nEnter Vertical Scale factor .."))
    elev (progn (initget 1) (getreal "\nSpecify elevation at specified datum: "))
        elev_RATE ( * RATE elev)
    vtxlist (vl-remove-if-not '(lambda (x) (eq (car x) 10)) (entget (car es)))
    hgts (mapcar '(lambda (x) (/ (+ elev_RATE (- (caddr x) (cadr datum))) RATE)) vtxlist)
    )
  
  (mapcar '(lambda (x y)
         (entmake
           (vl-remove nil
         (list
           '(0 . "TEXT")
           (cons 7 (if (null (tblsearch "STYLE" txt_style)) "standard" txt_style))
           (if txt_layer (cons 8 txt_layer))
           (cons 10 (cdr x))
           (cons 1 (rtos y))
           (cons 50 (DegToRad txt_rotation))
           (cons 40 txt_height)
           (if txt_color (cons 62 txt_color))
           )
         )
           )
         )
      vtxlist
      hgts
      )
  (princ)
  )

Link to comment
Share on other sites

Works great if i change the scale factor to 10.

Maybe i misunderstood the scale factor of the drawing. But still it does the job.

Thanks for your response.

Link to comment
Share on other sites

On 3/11/2020 at 11:12 AM, Jonathan Handojo said:

If that really is a DCL dialog, that must be a damn ton... at least worth 700+ lines to get that kind of dialog. I can make it, but I don't have that kind of time, sorry.

 

FYI, DCL in VLX is merely plain text, i.e: not encrypted so it can be viewed in Notepad normally.

 

 

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...